Bug 1939128 - CVE-2021-3466 libmicrohttpd: Buffer overflow issue in URL parser in the post_process_urlencoded function [fedora-all]
Summary: CVE-2021-3466 libmicrohttpd: Buffer overflow issue in URL parser in the post_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmicrohttpd
Version: 33
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-3466
TreeView+ depends on / blocked
 
Reported: 2021-03-15 16:53 UTC by Pedro Sampaio
Modified: 2021-05-05 01:20 UTC (History)
3 users (show)

Fixed In Version: libmicrohttpd-0.9.73-1.fc33 libmicrohttpd-0.9.73-1.fc32 libmicrohttpd-0.9.73-1.fc34
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-05 00:52:57 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2021-03-15 16:53:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2021-03-15 16:53:09 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1939127,1939128

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-04-26 07:35:40 UTC
FEDORA-2021-5e10ad8c19 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5e10ad8c19

Comment 3 Fedora Update System 2021-04-26 07:35:59 UTC
FEDORA-2021-d4149ff7fb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d4149ff7fb

Comment 4 Fedora Update System 2021-04-26 07:36:15 UTC
FEDORA-2021-6d5578e756 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-6d5578e756

Comment 5 Fedora Update System 2021-04-27 01:22:46 UTC
FEDORA-2021-5e10ad8c19 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5e10ad8c19`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5e10ad8c19

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-04-27 01:26:28 UTC
FEDORA-2021-d4149ff7fb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d4149ff7fb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d4149ff7fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-04-27 01:50:46 UTC
FEDORA-2021-6d5578e756 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-6d5578e756`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-6d5578e756

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-05-05 00:52:57 UTC
FEDORA-2021-d4149ff7fb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-05-05 01:04:23 UTC
FEDORA-2021-6d5578e756 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-05-05 01:20:51 UTC
FEDORA-2021-5e10ad8c19 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.